Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sum.multimedia
Class Bild

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      sum.multimedia.Bild

All Implemented Interfaces:
  ImageObserver, MenuContainer, Serializable, Accessible

    public class Bild

extends JPanel
implements Serializable

Ein Bild ist die Klasse fuer Java-Bilder. Bilder reagieren auf einen Klick mit der Maus wie Knoepfe.

Version:
  7.5 vom 29.10.2013
Author:
  Bernard Schriek
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class
`JPanel.AccessibleJPanel`

Nested classes/interfaces inherited from class
`JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class
`Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class
`Component.AccessibleAWTComponent, Component.BaselineResizeBehavior, Component.BltBufferStrategy, Component.FlipBufferStrategy`

Field Summary

Fields inherited from class
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`Bild(double pLinks, double pOben, double pBreite, double pHoehe)` Ein leeres Bild wird erzeugt.
`Bild(double pLinks, double pOben, double pBreite, double pHoehe, Bild pBild)` Das Bild, das als Parameter uebergeben wird, wird uebernommen.
`Bild(double pLinks, double pOben, double pBreite, double pHoehe, String pPfad)` Das Bild, dessen Pfadname uebergeben wird, wird von der Festplatte geladen.
`Bild(double pLinks, double pOben, double pBreite, double pHoehe, String pPfad, Applet pApplet)` Das Bild, dessen Pfadname uebergeben wird, wird von der Festplatte in ein Applet geladen.
`Bild(Fenster pFenster, double pLinks, double pOben, double pBreite, double pHoehe)` Ein leeres Bild wird erzeugt.
`Bild(Fenster pFenster, double pLinks, double pOben, double pBreite, double pHoehe, Bild pBild)` Das Bild, das als Parameter uebergeben wird, wird uebernommen.
`Bild(Fenster pFenster, double pLinks, double pOben, double pBreite, double pHoehe, String pPfad)` Das Bild, dessen Pfadname uebergeben wird, wird von der Festplatte geladen.

Method Summary
`void` | `aktiviere()` Das Bild wird aktiviert.
`int` | `alphaanteil(int pH, int pV)`
`void` | `bekommtFokus()` Das Bild erhaelt den Fokus.
`boolean` | `besitztFocus()` Liefert die Information, ob das Bild den Fokus besitzt.
`void` | `bildGeklickt()` Das Bild reagiert auf einen Mausklick, indem es die beim Konstruktor als Parameter uebergebene Methode der Anwendung aufruft.
`int` | `blauanteil(int pH, int pV)`
`int` | `breite()` Die Breite des Bilds wird zurueckgegeben.
`void` | `deaktiviere()` Das Bild wird deaktiviert und reagiert nicht mehr.
`void` | `filter(ImageFilter pFilter)`
`void` | `gibFrei()` Das Bild wird entfernt.
`int` | `gruenanteil(int pH, int pV)`
`int` | `hoehe()` Die Hoehe des Bilds wird zurueckgegeben.
`boolean` | `istAktiv()` Es wird zurueckgegeben, ob das Bild aktiviert ist.
`boolean` | `istSichtbar()` Es wird zurueckgegeben, ob das Bild sichtbar ist.
`boolean` | `ladeBild()` Der Bild wird von einer zu waehlenden Datei (gif, jpg, png) geladen.
`boolean` | `ladeBild(Applet pApplet, String pPfad)` Ein Bild wird in einem Applet vom Pfad pPfad geladen.
`boolean` | `ladeBild(String pPfad)` Ein Bild wird vom Pfad pPfad geladen.
`int` | `links()` Der linke Rand des Bilds wird zurueckgegeben.
`int` | `oben()` Der obere Rand des Bilds wird zurueckgegeben.
`void` | `paint(Graphics g)` interner Dienst
`int` | `rotanteil(int pH, int pV)`
`void` | `setzeAlphaanteil(int pH, int pV, int pAlpha)`
`void` | `setzeBearbeiterFokusErhalten(String pBearbeiter)` Die Methode zur Bearbeitung des FokusErhalten-Ereignisses in der Ereignisanwendung wird festgelegt.
`void` | `setzeBearbeiterFokusVerloren(String pBearbeiter)` Die Methode zur Bearbeitung des FokusVerloren-Ereignisses in der Ereignisanwendung wird festgelegt.
`void` | `setzeBearbeiterGeklickt(String pBearbeiter)` Die Methode zur Bearbeitung des Geklickt-Ereignisses in der Ereignisanwendung wird festgelegt.
`void` | `setzeBild(Bild pBild)` Ein Bild wird vom Bild pBild uebernommen.
`void` | `setzeBlauanteil(int pH, int pV, int pBlau)`
`void` | `setzeFocus()` Das Bild erhaelt den Fokus.
`void` | `setzeGroesse(double pBreite, double pHoehe)` Das Bild erhaelt eine neue Groesse.
`void` | `setzeGruenanteil(int pH, int pV, int pGruen)`
`void` | `setzePosition(double pWohinH, double pWohinV)` Das Bild erhaelt eine neue Position (Ecke oben links).
`void` | `setzeRotanteil(int pH, int pV, int pRot)`
`boolean` | `speichereBild()` Das Bild wird mit einem zu waehlenden Namen gespeichert.
`boolean` | `speichereBild(String pDatei)` Das Bild wird als jpg oder png-Datei pDatei gespeichert.
`void` | `verliertFokus()` Das Bild verliert den Fokus.
`void` | `verstecke()` Das Bild wird unsichtbar, existiert aber weiter.
`void` | `zeige()` Das Bild wird angezeigt.

Methods inherited from class
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class
`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingOrigin, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class
`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusDownCycle, validate, validateTree`

Methods inherited from class
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

Methods inherited from class
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Bild

    public Bild(double pLinks,
                double pOben,
                double pBreite,
                double pHoehe)

  Ein leeres Bild wird erzeugt. Position, Breite und Hoehe werden als Parameter uebergeben. Der Name der Aktionsmethode, die beim Druecken des Bildes aufgerufen wird, muss noch festgelegt werden.

### Bild

    public Bild(double pLinks,
                double pOben,
                double pBreite,
                double pHoehe,
                Bild pBild)

  Das Bild, das als Parameter uebergeben wird, wird uebernommen. Position, Breite und Hoehe werden als Parameter uebergeben. Der Name der Aktionsmethodee, die beim Druecken des Knopfes aufgerufen wird, muss noch festgelegt werden.

### Bild

    public Bild(double pLinks,
                double pOben,
                double pBreite,
                double pHoehe,
                String pPfad)

  Das Bild, dessen Pfadname uebergeben wird, wird von der Festplatte geladen. Position, Breite und Hoehe werden als Parameter uebergeben. Der Name der Aktionsmethode, die beim Druecken des Bildes aufgerufen wird, muss noch festgelegt werden.

### Bild

    public Bild(double pLinks,
                double pOben,
                double pBreite,
                double pHoehe,
                String pPfad,
                Applet pApplet)

  Das Bild, dessen Pfadname uebergeben wird, wird von der Festplatte in ein Applet geladen. Position, Breite und Hoehe werden als Parameter uebergeben. Der Name der Aktionsmethode, die beim Druecken des Bildes aufgerufen wird, muss noch festgelegt werden.

### Bild

    public Bild(Fenster pFenster,
                double pLinks,
                double pOben,
                double pBreite,
                double pHoehe)

  Ein leeres Bild wird erzeugt. Position, Breite und Hoehe werden als Parameter uebergeben. Das Bild befindet sich auf dem Fenster pFenster. Der Name der Aktionsmethode, die beim Druecken des Bildes aufgerufen wird, muss noch festgelegt werden.

### Bild

    public Bild(Fenster pFenster,
                double pLinks,
                double pOben,
                double pBreite,
                double pHoehe,
                Bild pBild)

  Das Bild, das als Parameter uebergeben wird, wird uebernommen. Position, Breite und Hoehe werden als Parameter uebergeben. Das Bild befindet sich auf dem Fenster pFenster. Der Name der Aktionsmethodee, die beim Druecken des Knopfes aufgerufen wird, muss noch festgelegt werden.

### Bild

    public Bild(Fenster pFenster,
                double pLinks,
                double pOben,
                double pBreite,
                double pHoehe,
                String pPfad)

  Das Bild, dessen Pfadname uebergeben wird, wird von der Festplatte geladen. Position, Breite und Hoehe werden als Parameter uebergeben. Das Bild befindet sich auf dem Fenster pFenster. Der Name der Aktionsmethode, die beim Druecken des Bildes aufgerufen wird, muss noch festgelegt werden.

Method Detail

### aktiviere

    public void aktiviere()

  Das Bild wird aktiviert.

### alphaanteil

    public int alphaanteil(int pH,
                           int pV)

### bekommtFokus

    public void bekommtFokus()

  Das Bild erhaelt den Fokus.

### besitztFocus

    public boolean besitztFocus()

  Liefert die Information, ob das Bild den Fokus besitzt.

### bildGeklickt

    public void bildGeklickt()

  Das Bild reagiert auf einen Mausklick, indem es die beim Konstruktor als Parameter uebergebene Methode der Anwendung aufruft.

### blauanteil

    public int blauanteil(int pH,
                          int pV)

### breite

    public int breite()

  Die Breite des Bilds wird zurueckgegeben.

### deaktiviere

    public void deaktiviere()

  Das Bild wird deaktiviert und reagiert nicht mehr.

### filter

    public void filter(ImageFilter pFilter)

### gibFrei

    public void gibFrei()

  Das Bild wird entfernt.

### gruenanteil

    public int gruenanteil(int pH,
                           int pV)

### hoehe

    public int hoehe()

  Die Hoehe des Bilds wird zurueckgegeben.

### istAktiv

    public boolean istAktiv()

  Es wird zurueckgegeben, ob das Bild aktiviert ist.

### istSichtbar

    public boolean istSichtbar()

  Es wird zurueckgegeben, ob das Bild sichtbar ist.

### ladeBild

    public boolean ladeBild()

  Der Bild wird von einer zu waehlenden Datei (gif, jpg, png) geladen. Bei Erfolg wird true zurueckgegeben.

### ladeBild

    public boolean ladeBild(Applet pApplet,
                            String pPfad)

  Ein Bild wird in einem Applet vom Pfad pPfad geladen. Bei Erfolg wird true zurueckgegeben.

### ladeBild

    public boolean ladeBild(String pPfad)

  Ein Bild wird vom Pfad pPfad geladen. Bei Erfolg wird true zurueckgegeben.

### links

    public int links()

  Der linke Rand des Bilds wird zurueckgegeben.

### oben

    public int oben()

  Der obere Rand des Bilds wird zurueckgegeben.

### paint

    public void paint(Graphics g)

  interner Dienst

  Overrides:
    `paint` in class `JComponent`

### rotanteil

    public int rotanteil(int pH,
                         int pV)

### setzeAlphaanteil

    public void setzeAlphaanteil(int pH,
                                 int pV,
                                 int pAlpha)

### setzeBearbeiterFokusErhalten

    public void setzeBearbeiterFokusErhalten(String pBearbeiter)

  Die Methode zur Bearbeitung des FokusErhalten-Ereignisses in der Ereignisanwendung wird festgelegt.

### setzeBearbeiterFokusVerloren

    public void setzeBearbeiterFokusVerloren(String pBearbeiter)

  Die Methode zur Bearbeitung des FokusVerloren-Ereignisses in der Ereignisanwendung wird festgelegt.

### setzeBearbeiterGeklickt

    public void setzeBearbeiterGeklickt(String pBearbeiter)

  Die Methode zur Bearbeitung des Geklickt-Ereignisses in der Ereignisanwendung wird festgelegt.

### setzeBild

    public void setzeBild(Bild pBild)

  Ein Bild wird vom Bild pBild uebernommen.

### setzeBlauanteil

    public void setzeBlauanteil(int pH,
                                int pV,
                                int pBlau)

### setzeFocus

    public void setzeFocus()

  Das Bild erhaelt den Fokus.

### setzeGroesse

    public void setzeGroesse(double pBreite,
                             double pHoehe)

  Das Bild erhaelt eine neue Groesse.

### setzeGruenanteil

    public void setzeGruenanteil(int pH,
                                 int pV,
                                 int pGruen)

### setzePosition

    public void setzePosition(double pWohinH,
                              double pWohinV)

  Das Bild erhaelt eine neue Position (Ecke oben links).

### setzeRotanteil

    public void setzeRotanteil(int pH,
                               int pV,
                               int pRot)

### speichereBild

    public boolean speichereBild()

  Das Bild wird mit einem zu waehlenden Namen gespeichert. Der Name benoetigt die Endung jpg oder png! Bei Erfolg wird true zurueckgegeben.

### speichereBild

    public boolean speichereBild(String pDatei)

  Das Bild wird als jpg oder png-Datei pDatei gespeichert. Bei Erfolg wird true zurueckgegeben.

### verliertFokus

    public void verliertFokus()

  Das Bild verliert den Fokus.

### verstecke

    public void verstecke()

  Das Bild wird unsichtbar, existiert aber weiter.

### zeige

    public void zeige()

  Das Bild wird angezeigt.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD